package memento;

public class CarModelSnapshot {
    private final float height;
    private final float width;
    private final float cargoVolume;
    private final float wheelbase;

    //Ao instanciar o Snapshot, este recebe os atributos da classe CarModel
    //que o criou
    CarModelSnapshot(float height, float width, float cargoVolume, float wheelbase){
        this.height = height;
        this.width = width;
        this.cargoVolume = cargoVolume;
        this.wheelbase = wheelbase;
    }

    float getHeight() {
        return height;
    }

    float getWidth() {
        return width;
    }

    float getCargoVolume() {
        return cargoVolume;
    }

    float getWheelbase() {
        return wheelbase;
    }
}
